import ViewMessageService from '../view-message-service';
/**
 * 树视图---动态节点（实体）视图消息服务对象基类
 *
 * @export
 * @class ViewMsg55MessageServiceBase
 */
export default class ViewMsg55MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg55MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg55MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg55MessageServiceBase
     */
    public initBasicParam(){
        this.id = "A36A30A1-E1ED-4B74-A035-EF1049DF48B4";
        this.name = "树视图---动态节点（实体）";
        this.codename = "ViewMsg55";
        this.title = "";
        this.content = "本示例展示树视图动态节点（实体）节点类型界面呈现。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg55MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}